LHST Time Now
LHST is the abbreviation of Lord Howe Standard Time. Time zone offset of LHST is UTC+10:30. Lord Howe Standard Time is 10 hours 30 minutes ahead from the UTC universal time. LHST current date is 4th Wednesday November 2026. Current time in LHST (LHST).
LHST Time
15:54:18
4 November 2026 Wednesday
LHST is the abbreviation commonly used when referring to Lord Howe Standard Time. This is the time standard used in the island of Lord Howe, located in the Tasman Sea, between New Zealand and the continent of Australia. Lord Howe Standard Time is 10 hours 30 minutes ahead of the UTC universal time, and it is the time standard used in winter.
What time is it in Lord Howe Standard Time now? It is 15:54:18 right now.
Lord Howe Standard Time Date and Time Now in Various Formats
| Date Time Format | LHST Date Time Now |
|---|---|
| UTC | 2026-11-04T15:54:18Z |
| ISO-8601 | 2026-11-04T15:54:18+0000 |
| RFC 2822 | Wed, 04 Nov 2026 15:54:18 +0000 |
| RFC 850 | Wednesday, 04-Nov-26 15:54:18 UTC |
| RFC 1036 | Wed, 04 Nov 26 15:54:18 +0000 |
| RFC 1123 | Wed, 04 Nov 2026 15:54:18 +0000 |
| RFC 822 | Wed, 04 Nov 26 15:54:18 +0000 |
| RFC 3339 | 2026-11-04T15:54:18+00:00 |
| ATOM | 2026-11-04T15:54:18+00:00 |
| COOKIE | Wednesday, 04-Nov-2026 15:54:18 UTC |
| RSS | Wed, 04 Nov 2026 15:54:18 +0000 |
| W3C | 2026-11-04T15:54:18+00:00 |
| Unix Epoch | 1793807658 |
| YYYY-DD-MM HH:MM:SS | 2026-04-11 15:54:18 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-04-11 03:54:18 PM |
| DD-MM-YYYY HH:MM:SS | 04-11-2026 15:54:18 |
| MM-DD-YYYY HH:MM:SS | 11-04-2026 15:54:18 |